## gst-plugins-bad1.0 1.15.1

=== meson_options.txt ===
option('gst_player_tests', type: 'boolean', value: false,
       description: 'Enable GstPlayer tests that need network access')

# Feature options for plugins without external deps
option('accurip', type : 'feature', value : 'auto')
option('adpcmdec', type : 'feature', value : 'auto')
option('adpcmenc', type : 'feature', value : 'auto')
option('aiff', type : 'feature', value : 'auto')
option('asfmux', type : 'feature', value : 'auto')
option('audiobuffersplit', type : 'feature', value : 'auto')
option('audiofxbad', type : 'feature', value : 'auto')
option('audiolatency', type : 'feature', value : 'auto')
option('audiomixmatrix', type : 'feature', value : 'auto')
option('audiovisualizers', type : 'feature', value : 'auto')
option('autoconvert', type : 'feature', value : 'auto')
option('bayer', type : 'feature', value : 'auto')
option('camerabin2', type : 'feature', value : 'auto')
option('coloreffects', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('dvbsuboverlay', type : 'feature', value : 'auto')
option('dvdspu', type : 'feature', value : 'auto')
option('faceoverlay', type : 'feature', value : 'auto')
option('festival', type : 'feature', value : 'auto')
option('fieldanalysis', type : 'feature', value : 'auto')
option('freeverb', type : 'feature', value : 'auto')
option('frei0r', type : 'feature', value : 'auto')
option('gaudieffects', type : 'feature', value : 'auto')
option('gdp', type : 'feature', value : 'auto')
option('geometrictransform', type : 'feature', value : 'auto')
option('id3tag', type : 'feature', value : 'auto')
option('inter', type : 'feature', value : 'auto')
option('interlace', type : 'feature', value : 'auto')
option('ivfparse', type : 'feature', value : 'auto')
option('ivtc', type : 'feature', value : 'auto')
option('jp2kdecimator', type : 'feature', value : 'auto')
option('jpegformat', type : 'feature', value : 'auto')
option('librfb', type : 'feature', value : 'auto')
option('midi', type : 'feature', value : 'auto')
option('mpegdemux', type : 'feature', value : 'auto')
option('mpegpsmux', type : 'feature', value : 'auto')
option('mpegtsdemux', type : 'feature', value : 'auto')
option('mpegtsmux', type : 'feature', value : 'auto')
option('mxf', type : 'feature', value : 'auto')
option('netsim', type : 'feature', value : 'auto')
option('onvif', type : 'feature', value : 'auto')
option('pcapparse', type : 'feature', value : 'auto')
option('pnm', type : 'feature', value : 'auto')
option('proxy', type : 'feature', value : 'auto')
option('rawparse', type : 'feature', value : 'auto')
option('removesilence', type : 'feature', value : 'auto')
option('sdp', type : 'feature', value : 'auto')
option('segmentclip', type : 'feature', value : 'auto')
option('siren', type : 'feature', value : 'auto')
option('smooth', type : 'feature', value : 'auto')
option('speed', type : 'feature', value : 'auto')
option('subenc', type : 'feature', value : 'auto')
option('timecode', type : 'feature', value : 'auto')
option('videofilters', type : 'feature', value : 'auto')
option('videoframe_audiolevel', type : 'feature', value : 'auto')
option('videoparsers', type : 'feature', value : 'auto')
option('videosignal', type : 'feature', value : 'auto')
option('vmnc', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')
option('yadif', type : 'feature', value : 'auto')

# Feature options for libraries that need external deps
option('opencv', type : 'feature', value : 'auto', description : 'OpenCV computer vision library support')

# Feature options for optional deps in plugins
option('wayland', type : 'feature', value : 'auto', description : 'Wayland plugin/library, support in the Vulkan plugin')
option('x11', type : 'feature', value : 'auto', description : 'X11 support in Vulkan, GL and rfb plugins')

# Feature options for plugins that need external deps
option('aom', type : 'feature', value : 'auto', description : 'AOM AV1 video codec plugin')
option('androidmedia', type : 'feature', value : 'auto', description : 'Video capture and codec plugins for Android')
option('applemedia', type : 'feature', value : 'auto', description : 'Video capture and codec access plugins for macOS and iOS')
option('assrender', type : 'feature', value : 'auto', description : 'ASS/SSA subtitle renderer plugin')
option('bluez', type : 'feature', value : 'auto', description : 'Bluetooth audio A2DP/AVDTP sink, AVDTP source plugin')
option('bs2b', type : 'feature', value : 'auto', description : 'Bauer stereophonic-to-binaural audio plugin')
option('bz2', type : 'feature', value : 'auto', description : 'bz2 stream encoder and decoder plugin')
option('chromaprint', type : 'feature', value : 'auto', description : 'Chromaprint fingerprint audio plugin')
option('closedcaption', type : 'feature', value : 'auto', description : 'Closed caption extractor, decoder, and overlay plugin')
option('curl', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin')
option('curl-ssh2', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin libssh2 support')
option('d3dvideosink', type : 'feature', value : 'auto', description : 'Direct3D video sink plugin')
option('dash', type : 'feature', value : 'auto', description : 'DASH demuxer plugin')
option('dc1394', type : 'feature', value : 'auto', description : 'libdc1394 IIDC camera source plugin')
option('decklink', type : 'feature', value : 'auto', description : 'DeckLink audio/video source/sink plugin')
option('directfb', type : 'feature', value : 'auto', description : 'DirectFB video sink plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source plugin')
option('dtls', type : 'feature', value : 'auto', description : 'DTLS encoder and decoder plugin')
option('dts', type : 'feature', value : 'auto', description : 'DTS audio decoder plugin')
option('dvb', type : 'feature', value : 'auto', description : 'DVB video bin and source plugin')
option('faac', type : 'feature', value : 'auto', description : 'Free AAC audio encoder plugin')
option('faad', type : 'feature', value : 'auto', description : 'Free AAC audio decoder plugin')
option('fbdev', type : 'feature', value : 'auto', description : 'Framebuffer video sink plugin')
option('fdkaac', type : 'feature', value : 'auto', description : 'Fraunhofer AAC audio codec plugin')
option('flite', type : 'feature', value : 'auto', description : 'Flite speech synthesizer source plugin')
option('fluidsynth', type : 'feature', value : 'auto', description : 'Fluidsynth MIDI decoder plugin')
option('gl', type : 'feature', value : 'auto', description : 'GStreamer OpenGL integration support (used by various plugins)')
option('gme', type : 'feature', value : 'auto', description : 'libgme gaming console music file decoder plugin')
option('gsm', type : 'feature', value : 'auto', description : 'GSM encoder/decoder plugin')
option('ipcpipeline', type : 'feature', value : 'auto', description : 'Inter-process communication plugin')
option('iqa', type : 'feature', value : 'auto', description : 'Image quality assessment plugin')
option('kate', type : 'feature', value : 'auto', description : 'Kate subtitle parser, tagger, and codec plugin')
option('kms', type : 'feature', value : 'auto', description : 'KMS video sink plugin')
option('ladspa', type : 'feature', value : 'auto', description : 'LADSPA plugin bridge')
option('libde265', type : 'feature', value : 'auto', description : 'HEVC/H.265 video decoder plugin')
option('libmms', type : 'feature', value : 'auto', description : 'Microsoft multimedia server network source plugin')
option('lv2', type : 'feature', value : 'auto', description : 'LV2 audio plugin bridge')
option('modplug', type : 'feature', value : 'auto', description : 'ModPlug audio decoder plugin')
option('mpeg2enc', type : 'feature', value : 'auto', description : 'mpeg2enc video encoder plugin')
option('mplex', type : 'feature', value : 'auto', description : 'mplex audio/video multiplexer plugin')
option('msdk', type : 'feature', value : 'auto', description : 'Intel Media SDK video encoder/decoder plugin')
option('musepack', type : 'feature', value : 'auto', description : 'libmpcdec Musepack decoder plugin')
option('neon', type : 'feature', value : 'auto', description : 'NEON HTTP source plugin')
option('nvdec', type : 'feature', value : 'auto', description : 'NVIDIA GPU decoder plugin')
option('nvenc', type : 'feature', value : 'auto', description : 'NVIDIA GPU encoder plugin')
option('ofa', type : 'feature', value : 'auto', description : 'Open Fingerprint Architecture library plugin')
option('openal', type : 'feature', value : 'auto', description : 'OpenAL plugin')
option('openexr', type : 'feature', value : 'auto', description : 'OpenEXR plugin')
option('openh264', type : 'feature', value : 'auto', description : 'H.264 video codec plugin')
option('openjpeg', type : 'feature', value : 'auto', description : 'JPEG2000 image codec plugin')
option('openmpt', type : 'feature', value : 'auto', description : 'OpenMPT module music library plugin')
option('openni2', type : 'feature', value : 'auto', description : 'OpenNI2 library plugin')
option('opensles', type : 'feature', value : 'auto', description : 'OpenSL ES audio source/sink plugin')
option('opus', type : 'feature', value : 'auto', description : 'OPUS audio parser plugin')
option('resindvd', type : 'feature', value : 'auto', description : 'Resin DVD playback plugin')
option('rsvg', type : 'feature', value : 'auto', description : 'SVG overlayer and image decoder plugin')
option('rtmp', type : 'feature', value : 'auto', description : 'RTMP video network source and sink plugin')
option('sbc', type : 'feature', value : 'auto', description : 'SBC bluetooth audio codec plugin')
option('sctp', type : 'feature', value : 'auto', description : 'SCTP plugin')
option('shm', type : 'feature', value : 'auto', description : 'Shared memory source/sink plugin')
option('smoothstreaming', type : 'feature', value : 'auto', description : 'Microsoft Smooth Streaming demuxer plugin')
option('sndfile', type : 'feature', value : 'auto', description : 'libsndfile plugin')
option('soundtouch', type : 'feature', value : 'auto', description : 'Audio pitch controller & BPM detection plugin')
option('spandsp', type : 'feature', value : 'auto', description : 'Packet loss concealment audio plugin')
option('srt', type : 'feature', value : 'auto', description : 'Secure, Reliable, Transport client/server network source/sink plugin')
option('srtp', type : 'feature', value : 'auto', description : 'Secure RTP codec plugin')
option('teletext', type : 'feature', value : 'auto', description : 'Teletext plugin')
option('tinyalsa', type : 'feature', value : 'auto', description : 'TinyALSA plugin')
option('ttml', type : 'feature', value : 'auto', description : 'TTML subtitle parser and renderer plugin')
option('uvch264', type : 'feature', value : 'auto', description : 'UVC compliant H.264 camera source plugin')
option('vcd', type : 'feature', value : 'auto', description : 'VCD source plugin')
option('vdpau', type : 'feature', value : 'auto', description : 'Nvidia VDPAU plugin')
option('voaacenc', type : 'feature', value : 'auto', description : 'AAC audio encoder plugin')
option('voamrwbenc', type : 'feature', value : 'auto', description : 'AMR-WB audio encoder plugin')
option('vulkan', type : 'feature', value : 'auto', description : 'Vulkan video sink plugin')
option('wasapi', type : 'feature', value : 'auto', description : 'Windows Audio Session API source/sink plugin')
option('webp', type : 'feature', value : 'auto', description : 'WebP image codec plugin')
option('webrtc', type : 'feature', value : 'auto', description : 'WebRTC audio/video network bin plugin')
option('webrtcdsp', type : 'feature', value : 'auto', description : 'Plugin with various audio filters provided by the WebRTC audio processing library')

=== debian/changelog ===
gst-plugins-bad1.0 (1.15.1-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/gbp.conf: Set the debian-branch to ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Feb 2019 17:01:08 +0100

gst-plugins-bad1.0 (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + Fixes build with OpenCV 3.4.4 (Closes: #915709).
    + debian/rules,
      debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Update GStreamer dependency.
      - Update wayland dependency to >= 1.11.0.
      - Update OpenCV dependency to >= 3.0.0.
      - Add Pango dependency for the new closedcaption plugin.
      - Add SRT dependency for the new SRT plugin.
      - Add AOM (AV1) dependency for the new AOM plugin.
      - Remove openglmixers plugin that moved to gst-plugins-base.
  * debian/rules:
    + Only build documentation if we build the documentation package. Thanks
      to Simon McVittie for the patch.
  * debian/patches/02_opencv-data-path.patch,
    debian/control.in:
    + Fix path to opencv-data files and Recommend opencv-data for the
      gstreamer1.0-oppencv package (Closes: #877586).
  * debian/patches/03_removesilence-Add-LIBM-to-libraries.patch:
    + Fix linking of removesilence plugin.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 16:44:44 +0200

=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: autoconf (>= 2.69),
               automake (>= 1.14),
               autopoint (>= 0.17),
               autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.15.1),
               flite-dev,
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gir1.2-gst-plugins-base-1.0,
               gir1.2-gstreamer-1.0,
               gobject-introspection (>= 0.9.12-4~),
               libasound2-dev (>= 0.9.1) [linux-any],
               libcdaudio-dev [linux-any],
               libdc1394-22-dev (>= 2.0.0) [linux-any],
               libgudev-1.0-dev (>= 143) [linux-any],
               libusb-1.0-0-dev [linux-any],
               libbluetooth-dev (>= 5) [linux-any],
               libsbc-dev (>= 1.1) [linux-any],
               libwayland-dev (>= 1.11.0) [linux-any],
               libdrm-dev (>= 2.4.55) [linux-any],
               wayland-protocols (>= 1.4) [linux-any],
               libvulkan-dev [linux-any],
               libgstreamer1.0-dev (>= 1.15.1),
               gstreamer1.0-doc,
               gstreamer1.0-plugins-base (>= 1.15.1),
               gstreamer1.0-plugins-base-doc,
               gtk-doc-tools (>= 1.12),
               ladspa-sdk,
               libaom-dev,
               libass-dev (>= 0.10.4),
               libbs2b-dev,
               libbz2-dev,
               libcairo2-dev,
               libchromaprint-dev,
               libcurl4-gnutls-dev (>= 7.35.0),
               libdca-dev,
               libde265-dev,
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev (>= 2.7),
               libfluidsynth-dev (>= 1.0),
               libgirepository1.0-dev (>= 0.9.12-4~),
               libglib2.0-dev (>= 2.40),
               libgme-dev,
               libgnutls28-dev (>= 2.11.3),
               libgsm1-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.15.1),
               libgstreamer-plugins-good1.0-dev (>= 1.15.1),
               libgtk-3-dev (>= 3.15.0),
               libiptcdata0-dev (>= 1.0.2),
               libkate-dev (>= 0.1.7),
               liblcms2-dev (>= 2.7),
               liblilv-dev (>= 0.16),
               libmjpegtools-dev,
               libmms-dev (>= 0.4),
               libmodplug-dev,
               libmpcdec-dev,
               libnice-dev (>= 0.1.14),
               libofa0-dev (>= 0.9.3),
               libopenal-dev (>= 1:1.14),
               libopencv-dev (>= 3.0.0),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.1),
               libopenmpt-dev,
               libopus-dev (>= 0.9.4),
               liborc-0.4-dev (>= 1:0.4.17),
               libpango1.0-dev (>= 1.22),
               libpng-dev,
               librsvg2-dev (>= 2.36.2),
               librtmp-dev,
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev,
               libsrt-dev,
               libsrtp2-dev (>= 2.1),
               libssl-dev,
               libtool (>= 2.2.6),
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libwebp-dev (>= 0.2.1),
               libwebrtc-audio-processing-dev (>= 0.2),
               libwildmidi-dev (>= 0.2.3),
               libx11-dev,
               libx11-xcb-dev,
               libx265-dev,
               libxml2-dev (>= 2.8),
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               nettle-dev,
               pkg-config (>= 0.11.0)
Standards-Version: 3.9.3
Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-bad1.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-bad1.0/+git/gst-plugins-bad1.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-bad-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc
Description: GStreamer documentation for plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the documentation for plugins from the "bad" set.
 
Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Provides: gstreamer1.0-plugins-bad-videoparsers,
          gstreamer1.0-plugins-bad-faad,
          ${gstreamer:Provides}
Suggests: frei0r-plugins
Conflicts: gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2),
          gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-opencv
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}),
Conflicts: gstreamer1.0-plugins-bad (<< 1.13.1)
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Recommends: opencv-data
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer OpenCV plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the OpenCV plugins.

Package: gstreamer1.0-plugins-bad-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
         ${misc:Depends}
Replaces: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
Breaks: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
Description: GStreamer plugins from the "bad" set (debug symbols)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GStreamer libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-opencv1.0-0
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer OpenCV libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries for OpenCV.

Package: libgstreamer-plugins-bad1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Priority: extra
Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Work-around for gtk-doc bug:
# https://bugzilla.gnome.org/show_bug.cgi?id=783926
export PYTHONIOENCODING="utf-8"

DEB_BUILD_PARALLEL = 1

DEB_DH_AUTORECONF_ARGS += --as-needed

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.1)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =
gst_extra_build_depends += libasound2-dev (>= 0.9.1) [linux-any]
gst_extra_build_depends += , libcdaudio-dev [linux-any]
gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]
gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
gst_extra_build_depends += , libusb-1.0-0-dev [linux-any]
gst_extra_build_depends += , libbluetooth-dev (>= 5) [linux-any]
gst_extra_build_depends += , libsbc-dev (>= 1.1) [linux-any]
gst_extra_build_depends += , libwayland-dev (>= 1.11.0) [linux-any]
gst_extra_build_depends += , libdrm-dev (>= 2.4.55) [linux-any]
gst_extra_build_depends += , wayland-protocols (>= 1.4) [linux-any]
gst_extra_build_depends += , libvulkan-dev [linux-any]

PLUGINS += plugins-bad opencv
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-bad-doc.install \

binaries := $(shell dh_listpackages)

#debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-bad-dbg

ifeq ($(DEB_HOST_ARCH_OS),linux)
dvb = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdvb.so
fbdev = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstfbdevsink.so
vcd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvcdsrc.so
cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
uvch264 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstuvch264.so
bluez = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstbluez.so
sbc = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstsbc.so
waylandsink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstwaylandsink.so
wayland = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-$(gst_abi).so.*
kms = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstkms.so
vulkan = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvulkan.so
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
resindvd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstresindvd.so
endif

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad$(gst_abi)"
endif


# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		sed \
			-e 's,@dvb@,$(dvb),g' \
			-e 's,@decklink@,$(decklink),g' \
			-e 's,@linsys@,$(linsys),g' \
			-e 's,@fbdev@,$(fbdev),g' \
			-e 's,@vcd@,$(vcd),g' \
			-e 's,@dc1394@,$(dc1394),g' \
			-e 's,@cdaudio@,$(cdaudio),g' \
			-e 's,@resindvd@,$(resindvd),g' \
			-e 's,@uvch264@,$(uvch264),g' \
			-e 's,@bluez@,$(bluez),g' \
			-e 's,@sbc@,$(sbc),g' \
			-e 's,@waylandsink@,$(waylandsink),g' \
			-e 's,@kms@,$(kms),g' \
			-e 's,@vulkan@,$(vulkan),g' \
			-e 's/@GST_ABI@/$(gst_abi)/g' \
			debian/gstreamer-$$p.install \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		sed 's/@GST_ABI@/$(gst_abi)/g' debian/gstreamer-$$f \
			> debian/$(gst_pkgname)-$$f; \
	done

	sed -e 's/@GST_ABI@/$(gst_abi)/g' -e 's,@wayland@,$(wayland),g' \
			debian/libgstreamer-plugins-bad.install \
			> debian/libgstreamer-plugins-bad$(gst_deb_abi).install
	sed -e 's/@GST_ABI@/$(gst_abi)/g' \
			debian/libgstreamer-opencv.install \
			> debian/libgstreamer-opencv$(gst_deb_abi).install
	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-bad-dev.install \
			> debian/libgstreamer-plugins-bad$(gst_abi)-dev.install
	cp debian/gir1.2-gst-plugins-bad.install \
			debian/gir1.2-gst-plugins-bad-$(gst_abi).install

maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@
	sort $@ -o $@

debian/control: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | sed \
		-e 's/@GST_VERSION@/$(gst_version)/g' \
		-e 's/@GST_ABI@/$(gst_abi)/g' \
		-e 's/@GST_DEB_ABI@/$(gst_deb_abi)/g' \
		-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
		-e 's/@GST_LIB@/$(gst_lib)/g' \
		-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
		-e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
		-e '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' \
		>$@

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--disable-pvr

# Only build documentation if we are building the -doc package
ifneq ($(filter $(gst_pkgname)-doc,$(binaries)),)
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif

common-binary-fixup-arch::
	rm -r $(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/basecamerabinsrc \
		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/interfaces/photography* \
		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/lib/*/libgstbasecamerabinsrc* \
		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/lib/*/libgstphotography*
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):debian/libgstreamer-opencv1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gstscancodecs

clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \

## gst-plugins-bad1.0 1.15.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.15.2-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/gbp.conf: Set the debian-branch to ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 04 Mar 2019 17:50:30 +0100

gst-plugins-bad1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:11:56 +0200

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.15.1),
+               libgstreamer1.0-dev (>= 1.15.2),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.15.1),
+               gstreamer1.0-plugins-base (>= 1.15.2),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -55,8 +55,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.15.1),
-               libgstreamer-plugins-good1.0-dev (>= 1.15.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.15.2),
+               libgstreamer-plugins-good1.0-dev (>= 1.15.2),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.2)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -82,7 +82,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 dvb = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdvb.so
 fbdev = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstfbdevsink.so
-vcd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvcdsrc.so
 cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
 dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
 decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
@@ -130,7 +129,6 @@
 			-e 's,@decklink@,$(decklink),g' \
 			-e 's,@linsys@,$(linsys),g' \
 			-e 's,@fbdev@,$(fbdev),g' \
-			-e 's,@vcd@,$(vcd),g' \
 			-e 's,@dc1394@,$(dc1394),g' \
 			-e 's,@cdaudio@,$(cdaudio),g' \
 			-e 's,@resindvd@,$(resindvd),g' \
@@ -206,3 +204,7 @@
 clean::
 	# get rid of the sym links
 	for i in $(PLUGINS); do \
+		rm -f debian/$(gst_pkgname)-$$i.install; \
+		rm -f debian/$(gst_pkgname)-$$i.preinst; \
+	done
+	for f in $(VERSIONIZE); do \

## gst-plugins-bad1.0 1.15.90

=== meson_options.txt ===
--- 
+++ 
@@ -141,7 +141,6 @@
 option('tinyalsa', type : 'feature', value : 'auto', description : 'TinyALSA plugin')
 option('ttml', type : 'feature', value : 'auto', description : 'TTML subtitle parser and renderer plugin')
 option('uvch264', type : 'feature', value : 'auto', description : 'UVC compliant H.264 camera source plugin')
-option('vcd', type : 'feature', value : 'auto', description : 'VCD source plugin')
 option('vdpau', type : 'feature', value : 'auto', description : 'Nvidia VDPAU plugin')
 option('voaacenc', type : 'feature', value : 'auto', description : 'AAC audio encoder plugin')
 option('voamrwbenc', type : 'feature', value : 'auto', description : 'AMR-WB audio encoder plugin')
@@ -150,3 +149,4 @@
 option('webp', type : 'feature', value : 'auto', description : 'WebP image codec plugin')
 option('webrtc', type : 'feature', value : 'auto', description : 'WebRTC audio/video network bin plugin')
 option('webrtcdsp', type : 'feature', value : 'auto', description : 'Plugin with various audio filters provided by the WebRTC audio processing library')
+option('wildmidi', type : 'feature', value : 'auto', description : 'WildMidi midi soft synth plugin')

=== debian/changelog ===
gst-plugins-bad1.0 (1.15.90-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/gbp.conf: Set the debian-branch to ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Apr 2019 11:15:01 +0200

gst-plugins-bad1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add SCTP plugin for WebRTC datachannels.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:02:12 +0300

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.15.2),
+               libgstreamer1.0-dev (>= 1.15.90),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.15.2),
+               gstreamer1.0-plugins-base (>= 1.15.90),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -55,8 +55,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.15.2),
-               libgstreamer-plugins-good1.0-dev (>= 1.15.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.15.90),
+               libgstreamer-plugins-good1.0-dev (>= 1.15.90),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),
@@ -86,6 +86,7 @@
                libsrtp2-dev (>= 2.1),
                libssl-dev,
                libtool (>= 2.2.6),
+               libusrsctp-dev,
                libvo-aacenc-dev,
                libvo-amrwbenc-dev,
                libwebp-dev (>= 0.2.1),

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.2)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.90)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 1.16.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.16.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 12:39:37 +0200

gst-plugins-bad1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:31:31 +0300

gst-plugins-bad1.0 (1.16.0-2ubuntu2) eoan; urgency=medium

  * No-change rebuild against libx265-176

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Aug 2019 22:35:04 +0000

gst-plugins-bad1.0 (1.16.0-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jul 2019 11:29:08 +0200

gst-plugins-bad1.0 (1.16.0-2) unstable; urgency=medium

  * debian/build-deps.in,
    debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Build and ship SRT plugin.
  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:53:43 +0300

gst-plugins-bad1.0 (1.16.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/gbp.conf: Set the debian-branch to ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2019 15:34:37 +0200

gst-plugins-bad1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:19:04 +0300

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,10 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.15.90),
+               libsrt-dev [linux-any],
+               libgstreamer1.0-dev (>= 1.16.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.15.90),
+               gstreamer1.0-plugins-base (>= 1.16.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -55,8 +56,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.15.90),
-               libgstreamer-plugins-good1.0-dev (>= 1.15.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.0),
+               libgstreamer-plugins-good1.0-dev (>= 1.16.0),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),
@@ -275,4 +276,3 @@
 Multi-Arch: same
 Section: libdevel
 Priority: extra
-Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.15.90)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.16.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -66,6 +66,7 @@
 gst_extra_build_depends += , libdrm-dev (>= 2.4.55) [linux-any]
 gst_extra_build_depends += , wayland-protocols (>= 1.4) [linux-any]
 gst_extra_build_depends += , libvulkan-dev [linux-any]
+gst_extra_build_depends += , libsrt-dev [linux-any]
 
 PLUGINS += plugins-bad opencv
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -93,6 +94,7 @@
 wayland = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-$(gst_abi).so.*
 kms = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstkms.so
 vulkan = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvulkan.so
+srt = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstsrt.so
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -138,6 +140,7 @@
 			-e 's,@waylandsink@,$(waylandsink),g' \
 			-e 's,@kms@,$(kms),g' \
 			-e 's,@vulkan@,$(vulkan),g' \
+			-e 's,@srt@,$(srt),g' \
 			-e 's/@GST_ABI@/$(gst_abi)/g' \
 			debian/gstreamer-$$p.install \
 			> debian/$(gst_pkgname)-$$p.install; \
@@ -203,8 +206,3 @@
 
 clean::
 	# get rid of the sym links
-	for i in $(PLUGINS); do \
-		rm -f debian/$(gst_pkgname)-$$i.install; \
-		rm -f debian/$(gst_pkgname)-$$i.preinst; \
-	done
-	for f in $(VERSIONIZE); do \
